Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SchemaObjectDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SchemaObjectDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AttributeDefinition, ClassDomainDefinition, ClassObjectDefinition, SchemaCategoryDefinition, ValueDefaultDefinition, ValueDomainDefinition

    public class SchemaObjectDefinition

extends LibraryObjectDefinition

A SchemaObjectDefinition is a template for creating a new SchemaObject.

See Also:
  Serialized Form
(Published)

Field Summary
`protected java.util.Vector` | `m_CategoryDefs` the Category definition.

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`SchemaObjectDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`SchemaObjectDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addCategoryDefinition(SchemaCategoryDefinition def)` Adds a new SchemaCategory Definition to the new SchemaObject.
`void` | `addCategoryDefinitions(SchemaCategoryDefinition[] defs)` Adds a set of new Schema Category Definition to the new SchemaObject.
`SchemaCategoryDefinition[]` | `getCategoryDefinitions()` returns all the Schema CategoryDefinitions for this Definition Return null if no Schema Category definitions exist
`void` | `removeCategoryDefinitions()` Removes all Schema CategoryDefinition specifications from this instance.
`void` | `setCategoryDefinitions(SchemaCategoryDefinition[] defs)` Defines a set of new Schema Category Definition to the new SchemaObject.
`static SchemaObjectDefinition` | `toSchemaObjectDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a SchemaObjectDefinition.
`static SchemaObjectDefinition` | `toSchemaObjectDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a SchemaObjectDefinition.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_CategoryDefs

    protected java.util.Vector m_CategoryDefs

  Description copied from class: `SchemaObjectDefinition`
  the Category definition.

  (Unpublished)

Constructor Detail

### SchemaObjectDefinition

    public SchemaObjectDefinition(LibrarySessionInterface session)
                           throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be SchemaObject.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### SchemaObjectDefinition

    public SchemaObjectDefinition(LibrarySessionInterface session,
                                  java.lang.String className)
                           throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(SchemaCategoryDefinition def)
                               throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  Adds a new SchemaCategory Definition to the new SchemaObject.

  Parameters:
    `def` - the SchemaCategory definition for the new Category.
  Throws:
    `IfsException`
  (Published)

### addCategoryDefinitions

    public void addCategoryDefinitions(SchemaCategoryDefinition[] defs)
                                throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  Adds a set of new Schema Category Definition to the new SchemaObject. All specified Schema CategoryDefinitions will be added to the current set of definitions held by this instance.

  Parameters:
    `defs` - the Schema Category definitions to be added for this instance
  Throws:
    `IfsException`
  (Unpublished)

### setCategoryDefinitions

    public void setCategoryDefinitions(SchemaCategoryDefinition[] defs)
                                throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  Defines a set of new Schema Category Definition to the new SchemaObject. All previously specified Schema CategoryDefinitions will be removed, prior to adding this set to the instance.

  Parameters:
    `defs` - the Schema Category definitions for the new Category.
  Throws:
    `IfsException`
  (Unpublished)

### removeCategoryDefinitions

    public void removeCategoryDefinitions()
                                   throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  Removes all Schema CategoryDefinition specifications from this instance.

  Throws:
    `IfsException`
  (Unpublished)

### getCategoryDefinitions

    public SchemaCategoryDefinition[] getCategoryDefinitions()
                                                      throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  returns all the Schema CategoryDefinitions for this Definition Return null if no Schema Category definitions exist

  Returns:
    Schema CategoryDefinitions for this KO Definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toSchemaObjectDefinition

    public static SchemaObjectDefinition toSchemaObjectDefinition(LibraryObjectDefinition lodef)
                                                           throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  Cast specified LibraryObjectDefinition to a SchemaObjectDefinition.

  Return null if the specified definition is not a SchemaObjectDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a SchemaObjectDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toSchemaObjectDefinition

    public static SchemaObjectDefinition toSchemaObjectDefinition(LibraryObjectDefinition lodef,
                                                                  boolean enforceCompat)
                                                           throws IfsException

  Description copied from class: `SchemaObjectDefinition`
  Cast specified LibraryObjectDefinition to a SchemaObjectDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a SchemaObjectDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a SchemaObjectDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD